{
  "name": "sebin-nyshkim.net",
  "version": "0.0.0",
  "private": true,
  "scripts": {
    "dev": "vite --host",
    "build": "run-p type-check build-only",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --noEmit -p tsconfig.app.json --composite false",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "dotenv": "^16.3.1",
    "vue": "^3.3.4",
    "vue-router": "^4.2.5"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.6.0",
    "@tsconfig/node20": "^20.1.2",
    "@types/node": "^20.10.3",
    "@vitejs/plugin-vue": "^4.5.1",
    "@vue/eslint-config-prettier": "^8.0.0",
    "@vue/eslint-config-typescript": "^11.0.3",
    "@vue/tsconfig": "^0.4.0",
    "autoprefixer": "^10.4.16",
    "eslint": "^8.55.0",
    "eslint-plugin-vue": "^9.19.2",
    "lightningcss": "^1.22.1",
    "npm-run-all": "^4.1.5",
    "prettier": "^3.1.0",
    "sass": "^1.69.5",
    "typescript": "~5.3.2",
    "vite": "^5.0.6",
    "vite-imagetools": "^6.2.7",
    "vue-tsc": "^1.8.25"
  }
}
